makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.visagetechnologies.makeupsdk.FilterTemplate Class Reference

## Public Member Functions
JSONObject | ToJSON ()

## Static Public Member Functions
static FilterTemplate | FromJSON (JSONObject jsonObject)

## Public Attributes
String | name
ArrayList< FilterParameterTemplate > | parameters = new ArrayList<>()

## Detailed Description

Defines a name and a paramaters list specifiying a filter. Each filter must take an image as input and returns and image processed by an filtering algorithm. Optionally, a filter can take additional parameters which are stored in parameters member. The engine supports the following filters:

- Smoothing: performs face smoothing filter on the input image
- Greyscale: performs greyscale conversion on the input image
- Threshold: performs binary thresholding operation on the input image
- Multply: performs multiplication of the given image with a custom mask texture specified as input parameter
- HighPass: performs gaussian high pass filter on the input image
- Blur - performs gaussian blur on the input image

The filter applied is defined by name member. Input parameters of each filter can be set using FilterParameterTemplate class Provides methods for serialization and deserialization of FilterTemplate instances from JSON format.

## Member Function Documentation

## ◆ FromJSON()

static FilterTemplate com.visagetechnologies.makeupsdk.FilterTemplate.FromJSON | ( | JSONObject | jsonObject | ) |
| inline static

Deserializes FilterTemplate object from JSON representation

Parameters

  jsonObject | JSON object

Returns
  deserialized FilterTemplate object

## ◆ ToJSON()

JSONObject com.visagetechnologies.makeupsdk.FilterTemplate.ToJSON | ( |  | ) |
| inline

Returns JSON object out of this FilterTemplate object

Returns
  JSON representation of this FilterTemplate returned as JSONObject

## Member Data Documentation

## ◆ name

String com.visagetechnologies.makeupsdk.FilterTemplate.name

Name of the filter to apply.

## ◆ parameters

ArrayList<FilterParameterTemplate> com.visagetechnologies.makeupsdk.FilterTemplate.parameters = new ArrayList<>()

List of optional filter parameters.